Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class SAXTextOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.SAXOutput
                  |
                  +--org.apache.xalan.xsltc.runtime.output.SAXTextOutput

public class SAXTextOutput
extends org.apache.xalan.xsltc.runtime.output.SAXOutput

Constructor Summary
`SAXTextOutput(ContentHandler handler, LexicalHandler lex, java.lang.String encoding)`
`SAXTextOutput(ContentHandler handler, java.lang.String encoding)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(char[] characters, int offset, int length)`
`void` | `characters(java.lang.String characters)`
`void` | `comment(java.lang.String comment)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`close, endCDATA, namespace, omitHeader, setCdataElements, setDoctype, setEscaping, setIndent, setMediaType, setStandalone, setType, setVersion, startCDATA`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXTextOutput

    public SAXTextOutput(ContentHandler handler,
                         java.lang.String encoding)

### SAXTextOutput

    public SAXTextOutput(ContentHandler handler,
                         LexicalHandler lex,
                         java.lang.String encoding)

Method Detail

### startDocument

    public void startDocument()
                       throws TransletException

  Overrides:
    startDocument in class org.apache.xalan.xsltc.runtime.output.SAXOutput

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

  Overrides:
    characters in class org.apache.xalan.xsltc.runtime.output.SAXOutput

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws TransletException

### comment

    public void comment(java.lang.String comment)
                 throws TransletException

  Overrides:
    comment in class org.apache.xalan.xsltc.runtime.output.SAXOutput

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

  Overrides:
    processingInstruction in class org.apache.xalan.xsltc.runtime.output.SAXOutput

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.